﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class PropCarrierInfo
    {
        public List<PropAgvData> ResultAgvDataList { get; set; }
    }

    public class PropAgvData
    {
        public int AgvID { get; set; }
        public int[] LogicValues { get; set; }
        public List<PropAlarm> AlarmList { get; set; }
        public List<string> MaterialIDList { get; set; }
        public int CarrierType { get; set; }
        public bool Online { get; set; }
        public double GraphOffset { get; set; }
        public ushort LogicBits { get; set; }
        public int GraphEdge { get; set; }
        public int BatteryLevel { get; set; }
        public bool TrafficBlocked { get; set; }
        public float MovementY { get; set; }
        public float MovementX { get; set; }
        public string OrderID { get; set; }
        public int Status { get; set; }
        public int GraphVertex { get; set; }
    }

    public class PropAlarm
    {
        public int alarmId { get; set; }
        public int alarmLevel { get; set; }
        public int alarmParam1 { get; set; }
        public int alarmParam2 { get; set; }
        public int alarmParam3 { get; set; }
        public int alarmParam4 { get; set; }
        public int alarmParam5 { get; set; }
        public int alarmParam6 { get; set; }
        public DateTime startTime { get; set; }
    }
}
